'use strict';

// const printAST = require('ast-pretty-print')
var _require = require('babel-plugin-macros'),
    createMacro = _require.createMacro;

var getReplacers = require('./replace');

module.exports = createMacro(codegenMacros);

function codegenMacros(_ref) {
  var references = _ref.references,
      state = _ref.state,
      babel = _ref.babel;

  var _getReplacers = getReplacers(babel),
      asIdentifier = _getReplacers.asIdentifier;

  var fileOpts = state.file.opts;
  references.default.forEach(function (referencePath) {
    if (asIdentifier(referencePath, fileOpts) === false) {
      throw referencePath.buildCodeFrameError('codegen macro must be used as a tagged template literal, function, jsx, or .require call', Error);
    }
  });
}